screens <- list()
screens[["splash-overlay"]] <- div(
  class = "overlay bg-moffitt-grey splash animated", id = "splash-overlay",
  div(
    class = "splash-body",
    h1("Welcome!"),
    p("Talking about cancer treatment options is hard, but we're here to help."),
    actionButton("splash_next_screen", "Get Started", class = "btn-bottom-right btn-primary")
  )
)
screens[["app-intro"]] <- div(
  id = "app-intro",
  class = "app-main bg-white animated slideOutRight",
  h1(APP_TITLE, class = "app-title text-white bg-moffitt-blue"),
  p(class = "help-text text-moffitt-grey",
    "Guidance about how to approach the questions goes here."),
  div(
    id = "test-card-swipe-container",
    style = "width: 100%; max-height: 275px; position: relative; height: 100%;",
    shinyswiprUI(
      "test_card_swipe_ui",
      div(class = "swiperCard-header",
          h4(class = "card-title text-white bg-moffitt-light-blue",
             "Try It Now"
          )
      ),
      div(class = "swiperCard-body",
          h4("An Example Question"),
          p("Something to think about. Swipe", strong("left"), "if you feel X.",
            "Swipe", strong("right"), "if you feel Y.")
      )
    ),
    swipe_help_row_div
  ),
  shinyjs::hidden(div(
    id = "test_swipe_success",
    style = "font-size: 1.5em; text-align: center; width: 100%; padding: 50px",
    p(icon("thumbs-o-up", class = "fa-3x text-moffitt-green"),
      br(),
      actionLink("app_intro_next", "Great, let's get started!")
    )
  ))
)
screens[["app-main"]] <- div(
  id = "app-main",
  class = "app-main animated",
  h1(APP_TITLE, class = "app-title text-white bg-moffitt-blue"),
  p(HELP_TEXT, class = "help-text text-moffitt-grey"),
  shinyswiprUI(
    "card_swipe_ui",
    div(class = "swiperCard-header",
        h4(class = "card-title text-white bg-moffitt-light-blue",
           textOutput("question_category")
        )
    ),
    div(class = "swiperCard-body",
        h4(textOutput("question_topic")),
        p(textOutput("question_text")),
        uiOutput("question_story_link")
    )
  ),
  swipe_help_row_div
)
screens[["app-story"]] <- div(
  id = "app-story",
  class = "app-story animated fadeOutUp",
  div(class = "close-button", actionLink("app_main_hide_story", NULL, icon("times", class = "fa-lg"))),
  htmlOutput("question_story")
)
screens[["app-results"]] <- div(
  id = "app-results",
  class = "app-main app-results bg-white animated slideOutRight",
  h1(APP_TITLE, class = "app-title text-white bg-moffitt-blue"),
  div(class = "app-results-body",
      h2("Results", class = "help-text text-moffitt-grey"),
      plotOutput("results_plot", height = "250px")
  )
)
